### Method

# Camel MessageInfo clone

since: 3.24

#### Declaration [src]

    CamelMessageInfo*
    camel_message_info_clone (
      const CamelMessageInfo* mi,
      _CamelFolderSummary* assign_summary
    )

#### Description [src]

Clones the `mi` as a new `CamelMessageInfo` and eventually assigns a new `CamelFolderSummary` to it. If it’s not set, then the same summary as the one with `mi` is used.

Available since: 3.24

#### Parameters

`assign_summary`

  Type: `CamelFolderSummary`

  Parent `CamelFolderSummary` object, or `NULL`, to set on the clone.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `CamelMessageInfo`

A new `CamelMessageInfo` object, clone of the `mi`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.